[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

Cannot update, "Release File Expired"


#1

Trying sudo apt-get update returns:
Hit http://deb.whonix.org jessie InRelease
E: Release file for http://deb.whonix.org/dists/jessie/InRelease is expired (invalid since 6d 10h 59min 33s). Updates for this repository will not be applied.

This seems to be a pattern that happens every couple of months or so


#2

See:

You’re really late. Upgrade to Whonix 14 required.


#5

Can you elaborate on " > Hit http://deb.whonix.org jessie InRelease"? I’m using a fresh Qubes 4 install. Default out of the box config in /etc/apt/sources.list.d/whonix.list includes

deb http://deb.whonix.org jessie main

The “Stay Tuned” link does not explain how to work around this issue.


#6

Hi toholdauill

Likely you are using an older Qubes 4 iso which includes the older Whonix release version (Whonix 13). Whonix 14 is current stable.

Whonix 13 is deprecated. No longer supported.

https://forums.whonix.org/t/whonix-13-approaching-eol-end-of-life-2018-september-30-all-users-must-upgrade/5772

Options:

Upgrade in place.

https://whonix.org/wiki/Upgrading_Whonix_13_to_Whonix_14

Install fresh Whonix 14 templates. Recommended.

https://whonix.org/wiki/Qubes/Install


Release file for ... is expired. Updates for this repository will not be applied.
#7

@Patrick i suggest to remove whonix from Qubes dvds releases to avoid this headache. unless Qubes having faster releases this issue will never going to get solved.(even with future releases , this will keep pop-up)